MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030583Open CASCADE[OCCT] OCCT:DRAWpublic2019-03-16 11:282019-04-08 12:18
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030583: Draw Harness - ignore cpulimit when Debugger is attached on Windows platform
Descriptioncpulimit has no meaning when Debugger is attached.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0083012)
git (administrator)
2019-03-16 11:32

Branch CR30583 has been created by kgv.

SHA-1: 98c23080753c9461f9a3bafb1e563040b8786e2e


Detailed log of new commits:

Author: kgv
Date: Sat Mar 16 11:25:47 2019 +0300

    0030583: Draw Harness - ignore cpulimit when Debugger is attached on Windows platform
    
    cpulimit now omits ExitProcess() when IsDebuggerPresent() returns TRUE.
(0083013)
kgv (developer)
2019-03-16 11:32

Patch is ready for review.
(0083154)
msv (developer)
2019-03-20 18:52

Reviewed.
(0083179)
apn (administrator)
2019-03-21 12:24

Tested with IR-WEEK12:

Combination -
OCCT branch : IR-WEEK12
master SHA - 667b5eb81bdae7c15143ab7c0ed5617f503e9fb9
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : IR-WEEK12 SHA - 63ea473ef04f4f06e4baccecde3b9b8fd4a069a3
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16635.159999999974 / 16593.449999999997 [+0.25%]
Products
Total CPU difference: 9137.080000000038 / 9102.210000000046 [+0.38%]
Windows-64-VC14:
OCCT
Total CPU difference: 18008.0 / 17984.46875 [+0.13%]
Products
Total CPU difference: 10596.421875 / 10609.28125 [-0.12%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0083504)
git (administrator)
2019-04-08 12:18

Branch CR30583 has been deleted by inv.

SHA-1: 98c23080753c9461f9a3bafb1e563040b8786e2e

- Related Changesets
occt: master 667b5eb8
Timestamp: 2019-03-16 08:25:47
Author: kgv
Committer: apn
Details ] Diff ]
0030583: Draw Harness - ignore cpulimit when Debugger is attached on Windows platform

cpulimit now omits ExitProcess() when IsDebuggerPresent() returns TRUE.
mod - src/Draw/Draw_BasicCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-03-16 11:28 kgv New Issue
2019-03-16 11:28 kgv Assigned To => apn
2019-03-16 11:32 git Note Added: 0083012
2019-03-16 11:32 kgv Note Added: 0083013
2019-03-16 11:32 kgv Assigned To apn => abv
2019-03-16 11:32 kgv Severity minor => integration request
2019-03-16 11:32 kgv Status new => resolved
2019-03-18 22:13 kgv Assigned To abv => msv
2019-03-20 18:52 msv Note Added: 0083154
2019-03-20 18:52 msv Assigned To msv => bugmaster
2019-03-20 18:52 msv Status resolved => reviewed
2019-03-21 12:24 apn Test case number => Not needed
2019-03-21 12:24 apn Note Added: 0083179
2019-03-21 12:24 apn Status reviewed => tested
2019-03-24 18:54 apn Changeset attached => occt master 667b5eb8
2019-03-24 18:54 apn Assigned To bugmaster => apn
2019-03-24 18:54 apn Status tested => verified
2019-03-24 18:54 apn Resolution open => fixed
2019-04-08 12:18 git Note Added: 0083504


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker